diff -urN cargo-0.89.0-orig/src/cargo/util/mod.rs cargo-0.89.0/src/cargo/util/mod.rs
--- cargo-0.89.0-orig/src/cargo/util/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/util/mod.rs	2025-08-10 06:03:38 +0900
@@ -5,7 +5,6 @@
 pub use self::context::{homedir, ConfigValue, GlobalContext};
 pub(crate) use self::counter::MetricsCounter;
 pub use self::dependency_queue::DependencyQueue;
-pub use self::diagnostic_server::RustfixDiagnosticServer;
 pub use self::edit_distance::{closest, closest_msg, edit_distance};
 pub use self::errors::CliError;
 pub use self::errors::{internal, CargoResult, CliResult};
@@ -17,27 +16,22 @@
 pub use self::into_url::IntoUrl;
 pub use self::into_url_with_base::IntoUrlWithBase;
 pub(crate) use self::io::LimitErrorReader;
-pub use self::lockserver::{LockServer, LockServerClient, LockServerStarted};
 pub use self::progress::{Progress, ProgressStyle};
 pub use self::queue::Queue;
 pub use self::rustc::Rustc;
 pub use self::semver_ext::{OptVersionReq, VersionExt};
-pub use self::vcs::{existing_vcs_repo, FossilRepo, GitRepo, HgRepo, PijulRepo};
 pub use self::workspace::{
     add_path_args, path_args, print_available_benches, print_available_binaries,
     print_available_examples, print_available_packages, print_available_tests,
 };
 
-pub mod auth;
 pub mod cache_lock;
 mod canonical_url;
 pub mod command_prelude;
 pub mod context;
 mod counter;
 pub mod cpu;
-pub mod credential;
 mod dependency_queue;
-pub mod diagnostic_server;
 pub mod edit_distance;
 pub mod errors;
 mod flock;
@@ -52,9 +46,7 @@
 mod io;
 pub mod job;
 pub mod lints;
-mod lockserver;
 pub mod machine_message;
-pub mod network;
 mod progress;
 mod queue;
 pub mod restricted_names;
@@ -65,7 +57,6 @@
 pub mod style;
 pub mod toml;
 pub mod toml_mut;
-mod vcs;
 mod workspace;
 
 pub fn is_rustup() -> bool {
diff -urN cargo-0.89.0-orig/src/cargo/util/toml/mod.rs cargo-0.89.0/src/cargo/util/toml/mod.rs
--- cargo-0.89.0-orig/src/cargo/util/toml/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/util/toml/mod.rs	2025-08-10 06:03:38 +0900
@@ -29,7 +29,7 @@
 use crate::core::{Dependency, Manifest, Package, PackageId, Summary, Target};
 use crate::core::{Edition, EitherManifest, Feature, Features, VirtualManifest, Workspace};
 use crate::core::{GitReference, PackageIdSpec, SourceId, WorkspaceConfig, WorkspaceRootConfig};
-use crate::sources::{CRATES_IO_INDEX, CRATES_IO_REGISTRY};
+use crate::sources::{CRATES_IO_REGISTRY};
 use crate::util::errors::{CargoResult, ManifestError};
 use crate::util::interning::InternedString;
 use crate::util::lints::{get_span, rel_cwd_manifest_path};
@@ -2015,9 +2015,6 @@
                 spec
             )
         })?;
-        if spec.url().is_none() {
-            spec.set_url(CRATES_IO_INDEX.parse().unwrap());
-        }
 
         if replacement.is_version_specified() {
             bail!(
@@ -2054,7 +2051,6 @@
     let mut patch = HashMap::new();
     for (toml_url, deps) in me.patch.iter().flatten() {
         let url = match &toml_url[..] {
-            CRATES_IO_REGISTRY => CRATES_IO_INDEX.parse().unwrap(),
             _ => manifest_ctx
                 .gctx
                 .get_registry_index(toml_url)
